package gui.UI_LenheartUI;

import javax.swing.*;

public class UI_LenheartUI {

    private JPanel 物品回收页面;
    private JPanel 伤害控制页面;
    private JPanel 爆率控制页面;
    private JPanel 战力控制页面;
    private JPanel 爆物管理页面;

    public UI_LenheartUI(JTabbedPane mainComponent) {
        物品回收页面 = new ItemRecovery();
        伤害控制页面 = new DamageControl();
        爆率控制页面 = new DropControl();
        战力控制页面 = new FightControl();
        爆物管理页面 = new ExplosiveControl();

        mainComponent.addTab("物品回收设置", 物品回收页面);
        mainComponent.addTab("伤害控制设置", 伤害控制页面);
        mainComponent.addTab("爆率 & 鞭尸控制设置", 爆率控制页面);
        mainComponent.addTab("战力控制设置", 战力控制页面);
        mainComponent.addTab("爆物管理设置", 爆物管理页面);
    }
}
